std::slice_array< _Tp > Class Template Reference
Numeric Arrays

## Public Types

typedef _Tp | value_type

## Public Member Functions

| slice_array (const slice_array &)
void | operator%= (const valarray< _Tp > &) const
template<class _Dom >
void | operator%= (const _Expr< _Dom, _Tp > &) const
void | operator&= (const valarray< _Tp > &) const
template<class _Dom >
void | operator&= (const _Expr< _Dom, _Tp > &) const
void | operator*= (const valarray< _Tp > &) const
template<class _Dom >
void | operator*= (const _Expr< _Dom, _Tp > &) const
void | operator+= (const valarray< _Tp > &) const
template<class _Dom >
void | operator+= (const _Expr< _Dom, _Tp > &) const
void | operator-= (const valarray< _Tp > &) const
template<class _Dom >
void | operator-= (const _Expr< _Dom, _Tp > &) const
void | operator/= (const valarray< _Tp > &) const
template<class _Dom >
void | operator/= (const _Expr< _Dom, _Tp > &) const
void | operator<<= (const valarray< _Tp > &) const
template<class _Dom >
void | operator<<= (const _Expr< _Dom, _Tp > &) const
slice_array & | operator= (const slice_array &)
void | operator= (const valarray< _Tp > &) const
void | operator= (const _Tp &) const
template<class _Dom >
void | operator= (const _Expr< _Dom, _Tp > &) const
void | operator>>= (const valarray< _Tp > &) const
template<class _Dom >
void | operator>>= (const _Expr< _Dom, _Tp > &) const
void | operator^= (const valarray< _Tp > &) const
template<class _Dom >
void | operator^= (const _Expr< _Dom, _Tp > &) const
void | operator|= (const valarray< _Tp > &) const
template<class _Dom >
void | operator|= (const _Expr< _Dom, _Tp > &) const

## Friends

class | valarray< _Tp >

## Detailed Description

### template<class _Tp>
class std::slice_array< _Tp >

Reference to one-dimensional subset of an array.

A slice_array is a reference to the actual elements of an array specified by a slice. The way to get a slice_array is to call operator[](slice) on a valarray. The returned slice_array then permits carrying operations out on the referenced subset of elements in the original valarray. For example, operator+=(valarray) will add values to the subset of elements in the underlying valarray this slice_array refers to.

Parameters

  Tp | Element type.

Definition at line 80 of file valarray.

The documentation for this class was generated from the following files:

- valarray
- slice_array.h